import request from '@/utils/request'

// 查询邮件列表
export function emailList(data) {
    return request({
        url: '/sendMailRecord/list',
        method: 'get',
        params: data
    })
}

// 查询短信列表
export function smsList(data,params) {
    return request({
        url: '/caseApplication/smsRecord',
        method: 'post',
        data: data,
        params:params
    })
}
//更新短信内容
export function updateSendContent(data) {
    return request({
        url: 'shortMessage/updateSendContent',
        method: 'post',
        data: data,
    })
}
// 分页查询短信
export function recordList(data) {
    return request({
        url: '/shortMessage/recordList',
        method: 'get',
        params: data
    })
}
// 重新发送短信
export function reSendShortMessage(data) {
    return request({
        url: 'shortMessage/reSendShortMessage',
        method: 'post',
        data: data,
    })
}
// 重新发送邮件
export function reSendMailRecord(data) {
    return request({
        url: 'sendMailRecord/reSendMailRecord',
        method: 'post',
        data: data,
    })
}
// 更新邮件发送记录
export function update(data) {
    return request({
        url: 'sendMailRecord/update',
        method: 'post',
        data: data,
    })
}